Loading...
Searching...
No Matches
OpenMesh::Endian Class Reference

Determine byte order of host system. More...

`#include <OpenMesh/Core/Utils/Endian.hh>`

## Public Types

enum | Type { LSB = 1 , MSB }

## Static Public Member Functions

static Type | local ()
| Return endian type of host system.
static const char * | as_string (Type _t)
| Return type _t as string.

## Detailed Description

Determine byte order of host system.

## Member Enumeration Documentation

## Type

enum OpenMesh::Endian::Type

Enumerator
LSB | Little endian (Intel family and clones).
MSB | big endian (Motorola's 68x family, DEC Alpha, MIPS)

The documentation for this class was generated from the following files:

- OpenMesh/Core/Utils/Endian.hh
- OpenMesh/Core/Utils/Endian.cc